Package org.apache.cayenne.access.translator.batch

# Class SoftDeleteBatchTranslator

java.lang.Object
org.apache.cayenne.access.translator.batch.BaseBatchTranslator<DeleteBatchQuery>
org.apache.cayenne.access.translator.batch.DeleteBatchTranslator
org.apache.cayenne.access.translator.batch.SoftDeleteBatchTranslator

All Implemented Interfaces:
  `BatchTranslator`

public class SoftDeleteBatchTranslator extends DeleteBatchTranslator

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.access.translator.batch.BaseBatchTranslator

  `bindings, context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftDeleteBatchTranslator(DeleteBatchQuery query, DbAdapter adapter, String deletedFieldName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSql()`
  Returns SQL String that can be used to init a PreparedStatement.
  `DbAttributeBinding[]`
  `updateBindings(BatchQueryRow row)`
  Updates internal bindings to be used with a given row, returning updated bindings array.

  ### Methods inherited from class org.apache.cayenne.access.translator.batch.DeleteBatchTranslator

  `isNullAttribute, updateBinding`

  ### Methods inherited from class org.apache.cayenne.access.translator.batch.BaseBatchTranslator

  `buildQualifier, doTranslate, getBindings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cayenne.access.translator.batch.BatchTranslator

  `getBindings`

- ## Constructor Details

  - ### SoftDeleteBatchTranslator

    public SoftDeleteBatchTranslator(DeleteBatchQuery query, DbAdapter adapter, String deletedFieldName)

- ## Method Details

  - ### getSql

    public String getSql()
    Description copied from interface: `BatchTranslator`
    Returns SQL String that can be used to init a PreparedStatement.
    Specified by:
      `getSql` in interface `BatchTranslator`
    Overrides:
      `getSql` in class `DeleteBatchTranslator`

  - ### updateBindings

    public DbAttributeBinding[] updateBindings(BatchQueryRow row)
    Description copied from interface: `BatchTranslator`
    Updates internal bindings to be used with a given row, returning updated bindings array. This method guarantees that the returned array contains the same bindings in the same order as in the array returned from `BatchTranslator.getBindings()` (but in a state corresponding to the 'row' parameter). Usually the returned array is actually the same object reused for every iteration, only with changed object state.
    Specified by:
      `updateBindings` in interface `BatchTranslator`
    Overrides:
      `updateBindings` in class `DeleteBatchTranslator`